onEvent("recipes", (event) => {



 event.remove({output: 'boss_tools:iron_plate',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:desh_plate',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:iron_stick',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:nasa_workbench',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:rocket_nose_cone',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:rocket_fin',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:golden_engine',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:diamond_engine',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:oxygen_tank',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:oxygen_loader',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools:rocket_launch_pad',type: 'minecraft:crafting_shaped'})
 event.remove({output: 'boss_tools_giselle_addon:fuel_loader',type: 'minecraft:crafting_shaped'})






 event.remove({output: 'boss_tools:engine_frame',type: 'minecraft:crafting_shaped'})
 event.shapeless('boss_tools:engine_frame', ['boss_tools:compressed_steel','thermal:machine_frame','boss_tools:iron_stick'])

 event.remove({output: 'boss_tools:engine_fan',type: 'minecraft:crafting_shaped'})
 event.shapeless('boss_tools:engine_fan', ['boss_tools:compressed_steel','4x advgenerators:turbine_blade','2x boss_tools:iron_stick'])






 event.remove({output: 'boss_tools:iron_engine'})	
 event.recipes.createSequencedAssembly([
    'boss_tools:iron_engine',
 ], 'boss_tools:engine_frame', [
     event.recipes.createCutting('boss_tools:engine_frame', 'boss_tools:engine_frame').processingTime(30),
     event.recipes.createDeploying('boss_tools:engine_fan', ['boss_tools:engine_fan', 'boss_tools:engine_fan']),
     event.recipes.createDeploying('boss_tools:engine_fan', ['boss_tools:engine_fan', 'boss_tools:engine_fan']),
     event.recipes.createPressing('boss_tools:engine_frame', 'boss_tools:engine_frame').processingTime(30)
 ]).transitionalItem('boss_tools:engine_frame')
     .loops(4)





 event.custom(
    {
        "type":"immersiveengineering:refinery",
        "result":{"fluid":"boss_tools:fuel","amount":8},
        "input0":{"tag":"immersivepetroleum:gasoline","amount":100},
        "input1":{"tag":"kubejs:charrmeat_oil","amount":100},
        "energy":8000}
    
    
    
    )
 
event.recipes.bloodmagic.altar('kubejs:red_bricks', 'bloodmagic:bloodstonebrick').upgradeLevel(4).altarSyphon(20000).consumptionRate(35).drainRate(50)
 





});
